Summary: A linux netlink firewall monitor
Name: fwmon
Version: 1.0.10
Release: 1
Copyright: GPL
Group: System Environment/Daemons
Source: fwmon-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-buildroot

%description
This program allows you to monitor ipchains/iptables output in realtime.
It  supports both logging to a file/stdout and/or to tcpdump format
capture logs. It also supports security features such as running
non-root, and chrooting itself.

%prep
%setup -q

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man8/
install --strip -m 500 fwmon $RPM_BUILD_ROOT/usr/sbin/fwmon
install -m 644 fwmon.8 $RPM_BUILD_ROOT/usr/share/man/man8/fwmon.8
install -m 644 logrotate.fwmon $RPM_BUILD_ROOT/etc/logrotate.d/fwmon
rm -f $RPM_BUILD_ROOT/usr/share/man/man8/fwmon.8.gz
gzip $RPM_BUILD_ROOT/usr/share/man/man8/fwmon.8

%post

# Add the fwmon user
adduser -d /var/log/fwmon -s /bin/false -M fwmon 2>/dev/null || true

# Add the fwmon directory if it isnt already there
if [ ! -d /var/log/fwmon ]; then
	mkdir /var/log/fwmon
	chown fwmon.fwmon /var/log/fwmon
	chmod 700 /var/log/fwmon
fi

# Add a line to init
F_UID=`id -u fwmon`
F_GID=`id -g fwmon`
INITLINE="fw:2345:respawn:fwmon -sa -l /fwmon.log -t /fwmon.cap -u $F_UID -g $F_GID -c /var/log/fwmon"
echo "#$INITLINE" >> /etc/inittab

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(600,root,root)
/etc/logrotate.d/fwmon

%defattr(755,root,root)
/usr/sbin/fwmon

%defattr(644,root,root)
%doc README README.2nd README.chroot COPYING ChangeLog TODO
%doc initdb.sql
%doc /usr/share/man/man8/fwmon.8.gz
